DotsRenderer
Date: 2019-10-22

org.jmol.renderspecial

## Class DotsRenderer

- java.lang.Object
- - org.jmol.render.ShapeRenderer
  - - org.jmol.renderspecial.DotsRenderer

- Direct Known Subclasses:
    GeoSurfaceRenderer

      public class DotsRenderer
      extends ShapeRenderer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `dotScale`
    `int[]` | `faceMap`
    `boolean` | `iShowSolid`
    `int[]` | `scrCoords`
    `int` | `screenDotCount`
    `int` | `screenLevel`
    `private javajs.util.P3i` | `scrTemp`
    `private javajs.util.V3` | `v3temp`

    - ### Fields inherited from class org.jmol.render.ShapeRenderer

      `colix, exportType, g3d, isExport, mad, ms, myVisibilityFlag, shape, shapeID, tm, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DotsRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `initRenderer()`
    `protected boolean` | `render()`
    `protected void` | `render1(Dots dots)`
    `protected void` | `renderConvex(short colix, javajs.util.BS map, int nPoints)` generic renderer -- dots and geosurface
    `protected void` | `renderDots(int nPoints)` also called by GeoSurface when in motion

    - ### Methods inherited from class org.jmol.render.ShapeRenderer

      `isVisibleForMe, renderShape, setup, setViewerG3dShapeID`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### iShowSolid

          public boolean iShowSolid

    - #### screenLevel

          public int screenLevel

    - #### screenDotCount

          public int screenDotCount

    - #### scrCoords

          public int[] scrCoords

    - #### faceMap

          public int[] faceMap

    - #### v3temp

          private javajs.util.V3 v3temp

    - #### scrTemp

          private javajs.util.P3i scrTemp

    - #### dotScale

          private int dotScale

  - ### Constructor Detail

    - #### DotsRenderer

          public DotsRenderer()

  - ### Method Detail

    - #### initRenderer

          protected void initRenderer()

      Overrides:
        `initRenderer` in class `ShapeRenderer`

    - #### render

          protected boolean render()

      Specified by:
        `render` in class `ShapeRenderer`

    - #### render1

          protected void render1(Dots dots)

    - #### renderConvex

          protected void renderConvex(short colix,
                                      javajs.util.BS map,
                                      int nPoints)

      generic renderer -- dots and geosurface
      Parameters:
        `colix` -
        `map` -
        `nPoints` -

    - #### renderDots

          protected void renderDots(int nPoints)

      also called by GeoSurface when in motion
      Parameters:
        `nPoints` -